MySQL++: sql_types.h File Reference
sql_types.h File Reference

Declares the closest C++ equivalent of each MySQL column type. More...

`#include "common.h"`
`#include "tiny_int.h"`
`#include <string>`
`#include <stdint.h>`

Go to the source code of this file.

## Detailed Description

Declares the closest C++ equivalent of each MySQL column type.

The typedefs defined here are only for the "non-NULL" variants. To get nullable versions, wrap the appropriate type in the `Null<T>` template. See null.h for more information.